<!---                   WARNING                    --->
<!---        THIS IS AN AUTO-GENERATED FILE        --->
<!---  MANUAL CHANGES CAN AND WILL BE OVERWRITTEN  --->



# Personal Data Fetcher Systems.

This program collects several small data fetchers, for downloading personal
data spread around the internet. The fetchers are mostly related either to
personal finance, or to various nerdy hobbies.

Supported fetchers:

- Crunchyroll episode watch history
- FFXIV Lodestone achivement history
- Playstation achievements by way of PSN Profiles.
- Account balances for several backends supported by [`fin-depo`](https://gitfub.space/Jmaa/fin-depo)
  * Partisia Blockchain BYOC and MPC trackers
  * Kraken Account Balances
  * Kucoin Account Balances

## Usage

Add relevant secrets to
a [`secret_loader`](https://gitfub.space/Jmaa/secret_loader)-compatible
location, and run:

```sh
python -m personal_data
```

Use `--help` option to see all options.

## Further expansion

- [ ] YouTube (Music): Liked videos with title and URL.
- [ ] Steam Wishlist and Achievements
- [ ] [WaniKani](https://docs.api.wanikani.com)
- [ ] Ledger (Live?) Account Balances
- [ ] [Gandalf](https://gandalf.network/)? Seems to support a bunch of
  different sites, but not in the detail I want.


## Dependencies

All requirements can be installed easily using:

```bash
pip install -r requirements.txt
```

Full list of requirements:
- [beautifulsoup4](https://pypi.org/project/beautifulsoup4/)
- [lxml](https://pypi.org/project/lxml/)
- [requests](https://pypi.org/project/requests/)
- [requests_cache](https://pypi.org/project/requests_cache/)
- [browsercookie](https://pypi.org/project/browsercookie/)
- [cfscrape](https://pypi.org/project/cfscrape/)
- [frozendict](https://pypi.org/project/frozendict/)
- [python-kucoin](https://pypi.org/project/python-kucoin/)
- [krakenex](https://pypi.org/project/krakenex/)
- [python-frontmatter](https://pypi.org/project/python-frontmatter/)
- [marko](https://pypi.org/project/marko/)
- [fin-depo](https://gitfub.space/Jmaa/fin-depo)
- [secret_loader](https://gitfub.space/Jmaa/secret_loader)
- [requests-util](https://gitfub.space/Jmaa/requests_util)


## License

```
MIT License

Copyright (c) 2023-2024 Jon Michael Aanes

Permission is hereby granted, free of charge, to any person obtaining a copy
of this software and associated documentation files (the "Software"), to deal
in the Software without restriction, including without limitation the rights
to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
copies of the Software, and to permit persons to whom the Software is
furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all
copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
SOFTWARE.
```
